package com.fjhx.area.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.area.entity.dto.AreaInfoSelectDto;
import com.fjhx.area.entity.po.CustomizeArea;
import com.fjhx.area.service.CustomizeAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 自定义地区表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-05-15
 */
@RestController
@RequestMapping("/customizeArea")
public class CustomizeAreaController {

    @Autowired
    private CustomizeAreaService customizeAreaService;

    /**
     * 国家城市表列表
     */
    @PostMapping("/list")
    public List<CustomizeArea> list(@RequestBody AreaInfoSelectDto dto) {
        return customizeAreaService.getList(dto);
    }

    /**
     * 国家城市表分页
     */
    @PostMapping("/page")
    public Page<CustomizeArea> page(@RequestBody AreaInfoSelectDto dto) {
        return customizeAreaService.getPage(dto);
    }

    @PostMapping("/add")
    public void add(@RequestBody CustomizeArea dto) {
        customizeAreaService.add(dto);
    }

    @PostMapping("/edit")
    public void edit(@RequestBody CustomizeArea dto) {
        customizeAreaService.edit(dto);
    }

    @PostMapping("/delete")
    public void delete(@RequestBody CustomizeArea dto) {
        customizeAreaService.delete(dto);
    }

}
