package com.fjhx.tenant.controller.tenant;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataSelectDto;
import com.fjhx.tenant.entity.dict.vo.DictTenantDataVo;
import com.fjhx.tenant.service.dict.DictTenantDataService;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@DS(BaseSourceConstant.BASE)
@TenantIgnore
@RestController
@RequestMapping("/tenantDict")
public class DictController {

    @Autowired
    private DictTenantDataService dictTenantDataService;

    /**
     * 获取租户字典
     */
    @PostMapping("getDict")
    public List<DictTenantDataVo> page(@RequestBody DictTenantDataSelectDto dto) {
        return dictTenantDataService.getList(dto);
    }

    /**
     * 获取所有字典Map
     */
    @GetMapping("/allDictMap")
    public Map<String, List<DictTenantDataVo>> getAllDictMap() {
        return dictTenantDataService.getAllDictMap();
    }

}
